export declare const addEntityFiles: import("../base-core/api.js").WriteFileSection<any>;
export declare const updateEntityFiles: import("../base-core/api.js").WriteFileSection<any>;
export declare const updateConstraintsFiles: import("../base-core/api.js").WriteFileSection<any>;
export declare const updateMigrateFiles: import("../base-core/api.js").WriteFileSection<any>;
export declare const fakeFiles: import("../base-core/api.js").WriteFileSection<any>;
